/*
AUTORE: Vichingo455
Stampa tutte le possibili coppie di valori in base all'input
NOTA: Funziona solo se la compilazione su Windows e' a 64 bit
*/
#include <iostream>
#include <array>
#include <vector>
#include <cstdlib>
using namespace std;
void print(int array[],size_t size) {
	for (int i = 0; i < size; i++) {
		cout << "{" << array[i] << "," << array[i + 1] << "}" << endl;
		cout << "{" << array[i] << "," << array[i] << "}" << endl;
		cout << "{" << array[i + 1] << "," << array[i] << "}" << endl;
		if (i > 0) {
			cout << "{" << array[i] << "," << array[i - 1] << "}" << endl;
			cout << "{" << array[i - 1] << "," << array[i] << "}" << endl;
		}
	}
}
int main() {
	size_t size;
	cout << "Inserisci la lunghezza dell'array: ";
	cin >> size;
	cout << endl;
	int array[size];
	for (int i = 0; i < size; i++) {
		cout << "Inserisci il valore: ";
		cin >> array[i];
		cout << endl;
	}
	print(array,size);
    return 0;
}
